#pragma once

#include "ExpCondition.h"
#include "WTextFile.h"
#include <vector>
#include <atlstr.h>
#include <afxtempl.h>
#include "OutFile.h"
#include "InputError.h"

using namespace std;

class ExpConditionSet :
	public CObject
{
public:
	DECLARE_SERIAL( ExpConditionSet )

	ExpConditionSet(void){};
	ExpConditionSet( int foo );
	~ExpConditionSet(void);
	
	void clear( );
	void addCondition(char *name);
	void addCondition( ExpCondition *condition );
	void insertCondition( int where, ExpCondition *condition );
	void deleteLastCondition();
	void deleteCondition( int where );
	void copyLastCondition();
	void copyLastConditionMinimal();
	void copyConditionMinimal( int where );
	void copyCondition( int condNumber);
	void copyCondition( int where, int condNumber );
	int checkAllConditions( WTextFile *theTextFile );
	int WriteAllConditionsToOutFile(OutFile *outFile, int lineNumber, int columnShift);
	int returnSize( );
	ExpCondition *at( int index );

	virtual void Serialize( CArchive& archive );
	InputError checkValidInputs( WTextFile * theTextFile );

public:
	CArray<ExpCondition*> conditions;
	int m_size;
};
