#include "StdAfx.h"
#include ".\uv.h"

IMPLEMENT_SERIAL( Uv, CObject, 1 )



Uv::Uv( CString name )
: m_row(0)
, m_column(0)
{
	m_name = name;
}

Uv::~Uv(void)
{
}

void Uv::setName(CString name)
{
	m_name = name;
}

void Uv::setValue(CString valueStr)
{
	m_value = valueStr;
}

void Uv::WriteConditionToOutFile(OutFile *outFile, int lineNumber,
											 int columnNumber)
{
	// if lineNumber == 1: name of the condition to lineNumber 0
	if (lineNumber == 1)
	{
		outFile->getWord( m_name.GetBuffer( ), 0, columnNumber );
	}

	outFile->getWord( m_value.GetBuffer( ), lineNumber, columnNumber );
}

void Uv::setRowColumn(int row, int column)
{
	m_row = row;
	m_column = column;
}

CString Uv::returnName( )
{
	return m_name;
}


int Uv::returnRow( )
{
	return m_row;
}

int Uv::returnColumn( )
{
	return m_column;
}

void Uv::Serialize( CArchive& archive )
{
	CObject::Serialize( archive );

	if( archive.IsStoring( ) ) // save
	{
		archive << m_name << m_value << m_row << m_column;
	}
	else // load
	{
		archive >> m_name >> m_value >> m_row >> m_column;
	}
}